      Program mi_2do_programa
      implicit none
      integer i
      real*8 x(3), y(3), z(3)

      x(1) = 1.0d0
      x(2) = 3.5d0
      x(3) = 5.2d0

      y(1) = 2.3d0
      y(2) = 1.6d0
      y(3) = 2.9d0

      do i=1,3
        z(i)=0.0d0
      end do

      do i=1,3
        z(i) = x(i) + y(i)
      end do
      write(*,*) x, ' + ', y,' = ', z
      End program mi_2do_programa
